namespace XGame.Database
{
    public partial class BuffTableRepo
    {
        /// <summary>
        /// 获取Buff的作用对象
        /// </summary>
        /// <param name="buffId"></param>
        /// <returns></returns>
        public static ESkillTargetType GetTargetType(long buffId)
        {
            var table = Get(buffId);
            if (table == null)
            {
                Log.Error($"没有找到Buff配置. BuffId:{buffId}");
                return ESkillTargetType.None;
            }
            return (ESkillTargetType)table.TargetType;
        }
    }
}
